/////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 2004 Mothers Ruin Software. All rights reserved.
//
//  MODULE:  ConfigureScriptCommand.h
//
//  PROJECT: SSHChain
//
//  CREATED: by randy on Thu Jan 15 2004
//
//  $Id: ConfigureScriptCommand.h,v 1.3 2004/04/04 00:16:21 randy Exp $
//
//  SSHChain is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  SSHChain is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with SSHChain; if not, write to the Free Software Foundation,
//  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
/////////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>

/////////////////////////////////////////////////////////////////////
// class ConfigureScriptCommand
/////////////////////////////////////////////////////////////////////

/*!
 * @class ConfigureScriptCommand
 *
 * The ConfigureScriptCommand class is a custom script command
 * handler for the "configure" command which brings up the
 * preferences dialog (the visible center of SSHChain).
 */
@interface ConfigureScriptCommand : NSScriptCommand

/*!
 * @method performDefaultImplementation
 *
 * This is the fundamental override from NSScriptCommand, which
 * implements the command itself. It will bring the preferences
 * window to the front.
 *
 * @result
 *    always nil, since "configure" returns nothing
 */
- (id) performDefaultImplementation;

@end
