/////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 2004 Mothers Ruin Software. All rights reserved.
//
//  MODULE:  ConfigureScriptCommand.m
//
//  PROJECT: SSHChain
//
//  CREATED: by randy on Thu Jan 15 2004
//
//  $Id: ConfigureScriptCommand.m,v 1.5 2007/10/02 04:50:18 randy Exp $
//
//  SSHChain is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  SSHChain is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with SSHChain; if not, write to the Free Software Foundation,
//  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
/////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////
// include files
/////////////////////////////////////////////////////////////////////

#import "ConfigureScriptCommand.h"
#import "PrefController.h"

/////////////////////////////////////////////////////////////////////
// class ConfigureScriptCommand
/////////////////////////////////////////////////////////////////////

@implementation ConfigureScriptCommand

- (id) initWithCommandDescription:(NSScriptCommandDescription*)desc
{
   if ( self = [super initWithCommandDescription:desc] )
   {
   }
   return( self );
}

- (id) performDefaultImplementation
{
   // if we are already displaying a modal window (i.e. error dialog),
   // don't show the prefs window, as that would grab key status; the
   // error dialog will provide a Configure button as appropriate
   if ( [NSApp modalWindow] != nil )
      return( nil );

   // otherwise, activate the prefs window
   PrefController* prefs = [PrefController sharedPrefController];
   [NSApp activateIgnoringOtherApps:YES];
   [[prefs window] makeKeyAndOrderFront:self];
   return( nil );
}

@end
